org.apache.fop.fonts.cff

## Class FOPCFFDataInput

- java.lang.Object
- - org.apache.fontbox.cff.DataInput
  - - org.apache.fontbox.cff.CFFDataInput
    - - org.apache.fop.fonts.cff.FOPCFFDataInput

    public class FOPCFFDataInput
    extends org.apache.fontbox.cff.CFFDataInput

### Constructor Summary

Constructors
Constructor and Description
`FOPCFFDataInput(byte[] buffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `readOffSize()`

### Methods inherited from class org.apache.fontbox.cff.CFFDataInput

`readCard16, readCard8, readOffset, readSID`

### Methods inherited from class org.apache.fontbox.cff.DataInput

`getPosition, getString, hasRemaining, length, peekUnsignedByte, readByte, readBytes, readInt, readShort, readUnsignedByte, readUnsignedShort, setPosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FOPCFFDataInput

    public FOPCFFDataInput(byte[] buffer)

### Method Detail

#### readOffSize

    public int readOffSize()
                    throws IOException

Overrides:
  `readOffSize` in class `org.apache.fontbox.cff.CFFDataInput`
Throws:
  `IOException`